## org.apache.myfaces.renderkit.html.ext
Class HtmlTextareaRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlTextareaRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlTextareaRenderer

public class HtmlTextareaRenderer
extends HtmlTextareaRendererBase

Version:
  $Revision: 279369 $ $Date: 2005-09-07 12:16:26 -0400 (Wed, 07 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: baranda $)

Constructor Summary
`HtmlTextareaRenderer()`

Method Summary
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlTextareaRendererBase
`decode, encodeTextArea, getConvertedValue`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTextareaRenderer

    public HtmlTextareaRenderer()

Method Detail

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

  Overrides:
    `isDisabled` in class `HtmlTextareaRendererBase`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlTextareaRendererBase`
  Throws:
    `java.io.IOException`